APIShort url
Reserve a short URL
Generates and reserves a new short URL for the authenticated user. This ensures the short URL is unique and ready for use. Returns the reserved short URL object including its code, target URL (if set), and metadata.
Authorization
bearerAuth AuthorizationBearer <token>
Enter your API key to access this API
In: header
Response Body
application/json
application/json
application/json
curl -X GET "https://qrcodly.theosirislabs.com/api/api/v1/api/v1/short-url/reserved"{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z",
"shortCode": "strin",
"destinationUrl": "http://example.com",
"qrCodeId": "8a619d64-dbe8-4c9d-9490-babe22a53a28",
"isActive": true,
"createdBy": "string",
"deletedAt": null,
"customDomain": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z",
"domain": "string",
"isDefault": true,
"isEnabled": true,
"createdBy": "string",
"verificationPhase": "dns_verification",
"ownershipTxtVerified": true,
"cnameVerified": true,
"cloudflareHostnameId": "string",
"sslStatus": "initializing",
"ownershipStatus": "pending",
"sslValidationRecord": {
"name": "string",
"value": "string"
},
"ownershipValidationRecord": {
"name": "string",
"value": "string"
},
"validationErrors": [
"string"
]
}
}{
"message": "string",
"code": 0
}{
"message": "string",
"code": 0
}